-- MAGE SPELL:   TIME_WARP
function GoH_Mage_MenuButton_Time_Warp_OnClick()
	    if GoHv5_Mage_Data.config.Time_Warp == "NO" then
	    	GoHv5_Mage_Data.config.Time_Warp = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Touched_By_A_God_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Time_Warp = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   GREATER_INVISIBILITY
function GoH_Mage_MenuButton_Greater_Invisibility_OnClick()
	    if GoHv5_Mage_Data.config.Greater_Invisibility == "NO" then
	    	GoHv5_Mage_Data.config.Greater_Invisibility = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Mage_Data.config.Greater_Invisibility = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   INVISIBILITY
function GoH_Mage_MenuButton_Invisibility_OnClick()
	    if GoHv5_Mage_Data.config.Invisibility == "NO" then
	    	GoHv5_Mage_Data.config.Invisibility = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Mage_Data.config.Invisibility = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   PRISMATIC_BARRIER
function GoH_Mage_MenuButton_Prismatic_Barrier_OnClick()
	    if GoHv5_Mage_Data.config.Prismatic_Barrier == "NO" then
	    	GoHv5_Mage_Data.config.Prismatic_Barrier = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Bubble_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Prismatic_Barrier = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   BLAZING_BARRIER
function GoH_Mage_MenuButton_Blazing_Barrier_OnClick()
	    if GoHv5_Mage_Data.config.Blazing_Barrier == "NO" then
	    	GoHv5_Mage_Data.config.Blazing_Barrier = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Bubble_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Blazing_Barrier = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   ICE_BARRIER
function GoH_Mage_MenuButton_Ice_Barrier_OnClick()
	    if GoHv5_Mage_Data.config.Ice_Barrier == "NO" then
	    	GoHv5_Mage_Data.config.Ice_Barrier = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Bubble_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Ice_Barrier = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   MIRROR_IMAGE
function GoH_Mage_MenuButton_Mirror_Image_OnClick()
	    if GoHv5_Mage_Data.config.Mirror_Image == "NO" then
	    	GoHv5_Mage_Data.config.Mirror_Image = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\I_See_You_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Mirror_Image = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end

-- MAGE SPELL:   ICE_BLOCK
function GoH_Mage_MenuButton_Ice_Block_OnClick()
	    if GoHv5_Mage_Data.config.Ice_Block == "NO" then
	    	GoHv5_Mage_Data.config.Ice_Block = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Thats_Enough_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Ice_Block = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end



-- MAGE SPELL:   BLINK
function GoH_Mage_MenuButton_Blink_OnClick()
	    if GoHv5_Mage_Data.config.Blink == "NO" then
	    	GoHv5_Mage_Data.config.Blink = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Soul_Fire.mp3","Master");
	    else
	    	GoHv5_Mage_Data.config.Blink = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Mage_Set_Menu_Button_Images();

end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Mage_Set_Menu_Button_Images()

		
    
	
	--Mage Sounds
	
	-- MAGE    TIME_WARP
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_TIME_WARP_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_TIME_WARP_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_TIME_WARP_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Time_Warp == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_TIME_WARP_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Time_Warp_Text:SetText("|cFF00AA00Time Warp|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_TIME_WARP_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Time_Warp_Text:SetText("|cFFFF0000Time Warp|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    GREATER_INVISIBILITY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_GREATER_INVISIBILITY_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_GREATER_INVISIBILITY_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_GREATER_INVISIBILITY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Greater_Invisibility == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_GREATER_INVISIBILITY_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Greater_Invisibility_Text:SetText("|cFF00AA00Greater Invisibility|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_GREATER_INVISIBILITY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Greater_Invisibility_Text:SetText("|cFFFF0000Greater Invisibility|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    INVISIBILITY
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_INVISIBILITY_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_INVISIBILITY_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_INVISIBILITY_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Invisibility == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_INVISIBILITY_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Invisibility_Text:SetText("|cFF00AA00Invisibility|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_INVISIBILITY_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Invisibility_Text:SetText("|cFFFF0000Invisibility|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    PRISMATIC_BARRIER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_PRISMATIC_BARRIER_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_PRISMATIC_BARRIER_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_PRISMATIC_BARRIER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Prismatic_Barrier == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_PRISMATIC_BARRIER_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Prismatic_Barrier_Text:SetText("|cFF00AA00Prismatic Barrier|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_PRISMATIC_BARRIER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Prismatic_Barrier_Text:SetText("|cFFFF0000Prismatic Barrier|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    BLAZING_BARRIER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_BLAZING_BARRIER_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_BLAZING_BARRIER_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_BLAZING_BARRIER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Blazing_Barrier == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_BLAZING_BARRIER_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Blazing_Barrier_Text:SetText("|cFF00AA00Blazing Barrier|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_BLAZING_BARRIER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Blazing_Barrier_Text:SetText("|cFFFF0000Blazing Barrier|r");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    ICE_BARRIER
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_ICE_BARRIER_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_ICE_BARRIER_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_ICE_BARRIER_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Ice_Barrier == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_ICE_BARRIER_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Ice_Barrier_Text:SetText("|cFF00AA00Ice Barrier|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_ICE_BARRIER_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Ice_Barrier_Text:SetText("|cFFFF0000Ice Barrier|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    MIRROR_IMAGE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_MIRROR_IMAGE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_MIRROR_IMAGE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_MIRROR_IMAGE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Mirror_Image == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_MIRROR_IMAGE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Mirror_Image_Text:SetText("|cFF00AA00Mirror Image|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_MIRROR_IMAGE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Mirror_Image_Text:SetText("|cFFFF0000Mirror Image|r");

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    ICE_BLOCK
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_ICE_BLOCK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_ICE_BLOCK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_ICE_BLOCK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Ice_Block == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_ICE_BLOCK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Ice_Block_Text:SetText("|cFF00AA00Ice Block|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_ICE_BLOCK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Ice_Block_Text:SetText("|cFFFF0000Ice Block|r");

	end
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- MAGE    BLINK
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_MAGE_BLINK_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_BLINK_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_MAGE_BLINK_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Mage_Data.config.Blink == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_MAGE_BLINK_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		-- CHANGE THE TEXT TO GREEN
		Mage_Blink_Text:SetText("|cFF00AA00Blink|r");

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_MAGE_BLINK_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		-- CHANGE THE TEXT TO RED
		Mage_Blink_Text:SetText("|cFFFF0000Blink|r");

	end

		
end


